package cn.ibizlab.core.uaa.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import com.alibaba.fastjson.JSONObject;

import cn.ibizlab.core.uaa.domain.SYS_PSAPPMENUITEM;
import cn.ibizlab.core.uaa.filter.SYS_PSAPPMENUITEMSearchContext;


import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[SYS_PSAPPMENUITEM] 服务对象接口
 */
public interface ISYS_PSAPPMENUITEMService extends IService<SYS_PSAPPMENUITEM>{

    boolean save(SYS_PSAPPMENUITEM et) ;
    void saveBatch(List<SYS_PSAPPMENUITEM> list) ;
    boolean create(SYS_PSAPPMENUITEM et) ;
    void createBatch(List<SYS_PSAPPMENUITEM> list) ;
    boolean update(SYS_PSAPPMENUITEM et) ;
    void updateBatch(List<SYS_PSAPPMENUITEM> list) ;
    SYS_PSAPPMENUITEM getDraft(SYS_PSAPPMENUITEM et) ;
    boolean checkKey(SYS_PSAPPMENUITEM et) ;
    boolean remove(String key) ;
    void removeBatch(Collection<String> idList) ;
    SYS_PSAPPMENUITEM get(String key) ;
    Page<SYS_PSAPPMENUITEM> searchDefault(SYS_PSAPPMENUITEMSearchContext context) ;



    List<JSONObject> select(String sql);
    boolean execute(String sql);

}


